Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class Daytime

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Daytime

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class Daytime extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="time" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}time"/>
             <element name="dayperiod" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dayperiodType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Daytime()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DayperiodType`
  `getDayperiod()`
  e.g.
  `Instant`
  `getTime()`
  proposed hour-min of administration
  `void`
  `setDayperiod(DayperiodType value)`
  Sets the value of the dayperiod property.
  `void`
  `setTime(Instant value)`
  Sets the value of the time property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Daytime

    public Daytime()

- ## Method Details

  - ### getDayperiod

    public DayperiodType getDayperiod()
    e.g. before noon
    Returns:
      possible object is `DayperiodType`

  - ### setDayperiod

    public void setDayperiod(DayperiodType value)
    Sets the value of the dayperiod property.
    Parameters:
      `value` - allowed object is `DayperiodType`
    See Also:
      - `getDayperiod()`

  - ### getTime

    public Instant getTime()
    proposed hour-min of administration
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(Instant value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTime()`